### Hierarchy

- User

## Index

### Constructors

- constructor

### Properties

- _profile
- authData
- authenticated
- data
- email
- id
- name
- password

## Constructors

### constructor

- new User(profile: any): User

- - Defined in user.ts:10

  #### Parameters

  - ##### profile: any

  #### Returns User

## Properties

### _profile

_profile: any

- Defined in user.ts:3

### authData

authData: any

- Defined in user.ts:9

### authenticated

authenticated: boolean

- Defined in user.ts:8

### data

data: any

- Defined in user.ts:10

### email

email: string

- Defined in user.ts:5

### id

id: string

- Defined in user.ts:4

### name

name: string

- Defined in user.ts:6

### password

password: string

- Defined in user.ts:7